## NMDeviceBt

NMDeviceBt

## Functions

GQuark | nm_device_bt_error_quark ()
GObject * | nm_device_bt_new ()
const char * | nm_device_bt_get_hw_address ()
const char * | nm_device_bt_get_name ()
NMBluetoothCapabilities | nm_device_bt_get_capabilities ()

## Properties

guint | bt-capabilities | Read
gchar * | hw-address | Read
gchar * | name | Read

## Types and Values

enum | NMDeviceBtError
#define | NM_DEVICE_BT_ERROR
#define | NM_DEVICE_BT_HW_ADDRESS
#define | NM_DEVICE_BT_NAME
#define | NM_DEVICE_BT_CAPABILITIES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceBt

## Description

## Functions

### nm_device_bt_error_quark ()

    GQuark
    nm_device_bt_error_quark (void);

Registers an error quark for NMDeviceBt if necessary.

#### Returns

the error quark used for NMDeviceBt errors.

### nm_device_bt_new ()

    GObject *
    nm_device_bt_new (DBusGConnection *connection,
                      const char *path);

Creates a new NMDeviceBt.

#### Parameters

connection | the DBusGConnection |
path | the DBus object path of the device |

#### Returns

a new device.

[transfer full]

### nm_device_bt_get_hw_address ()

    const char *
    nm_device_bt_get_hw_address (NMDeviceBt *device);

Gets the hardware (MAC) address of the NMDeviceBt

#### Parameters

device | a NMDeviceBt |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_bt_get_name ()

    const char *
    nm_device_bt_get_name (NMDeviceBt *device);

Gets the name of the NMDeviceBt.

#### Parameters

device | a NMDeviceBt |

#### Returns

the name of the device

### nm_device_bt_get_capabilities ()

    NMBluetoothCapabilities
    nm_device_bt_get_capabilities (NMDeviceBt *device);

Returns the Bluetooth device's usable capabilities.

#### Parameters

device | a NMDeviceBt |

#### Returns

a combination of NMBluetoothCapabilities

## Types and Values

### enum NMDeviceBtError

#### Members

NM_DEVICE_BT_ERROR_UNKNOWN | unknown or unclassified error |
NM_DEVICE_BT_ERROR_NOT_BT_CONNECTION | the connection was not of bluetooth type |
NM_DEVICE_BT_ERROR_INVALID_BT_CONNECTION | the bluetooth connection was invalid |
NM_DEVICE_BT_ERROR_INVALID_DEVICE_MAC | the device's MAC was invalid |
NM_DEVICE_BT_ERROR_MAC_MISMATCH | the MACs of the connection and the device mismatched |
NM_DEVICE_BT_ERROR_MISSING_DEVICE_CAPS | the device missed required capabilities |

### NM_DEVICE_BT_ERROR

    #define NM_DEVICE_BT_ERROR nm_device_bt_error_quark ()

### NM_DEVICE_BT_HW_ADDRESS

    #define NM_DEVICE_BT_HW_ADDRESS   "hw-address"

### NM_DEVICE_BT_NAME

    #define NM_DEVICE_BT_NAME         "name"

### NM_DEVICE_BT_CAPABILITIES

    #define NM_DEVICE_BT_CAPABILITIES "bt-capabilities"

## Property Details

### The `“bt-capabilities”` property

      “bt-capabilities”          guint

The device's bluetooth capabilities, a combination of NMBluetoothCapabilities.

Owner: NMDeviceBt

Flags: Read

Default value: 0

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Owner: NMDeviceBt

Flags: Read

Default value: NULL

### The `“name”` property

      “name”                     gchar *

The name of the bluetooth device.

Owner: NMDeviceBt

Flags: Read

Default value: NULL